curl "https://api.scanova.io/custom-domain/42/certificate-request/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 5,
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "US",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com",
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"created": "2026-09-01T09:00:00Z"
}
Dominios personalizados
Obtener la última solicitud de certificado SSL
GET /custom-domain//certificate-request/
GET
/
custom-domain
/
{pk}
/
certificate-request
/
curl "https://api.scanova.io/custom-domain/42/certificate-request/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 5,
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "US",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com",
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"created": "2026-09-01T09:00:00Z"
}
Obtiene la solicitud de firma de certificado (CSR) SSL más reciente de un dominio, en el host de la API de gestión (
Devuelve
api.scanova.io), autenticado con su clave de API de gestión sin procesar.
GET https://api.scanova.io/custom-domain/{pk}/certificate-request/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
Solo Enterprise. Requiere la cuota
CUSTOM_DOMAIN_CUSTOM_SSL, que se otorga manualmente — ningún plan de autoservicio la incluye.integer
requerido
El
id del dominio.curl "https://api.scanova.io/custom-domain/42/certificate-request/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 5,
"organization": "Example Inc",
"organizational_unit": "IT",
"country": "US",
"state": "CA",
"locality": "San Francisco",
"email": "ssl@example.com",
"csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIIC...\n-----END CERTIFICATE REQUEST-----",
"created": "2026-09-01T09:00:00Z"
}
null si aún no se ha creado ninguna CSR. Esto permite a un cliente reanudar un flujo de certificado propio (bring-your-own-certificate) en curso sin rastrear el estado de la CSR por su cuenta. 403 si a la cuenta le falta la cuota CUSTOM_DOMAIN_CUSTOM_SSL; 404 si pk no es un dominio propiedad de esta cuenta.
Relacionado
- Crear una solicitud de certificado SSL — generar una nueva CSR.
- Subir un certificado SSL — el siguiente paso una vez que una CA emite el certificado.
- Resumen de la API de gestión — el esquema de autenticación y las reglas de cuota aplicables a este endpoint.
Autorizaciones
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Parámetros de ruta
Respuesta
Most recent certificate request, or null if none exists.
¿Esta página le ayudó?